# AOApplicationToPetscPermuteReal

Permutes an array of blocks of reals in the application-defined ordering to the PETSc ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode PETSCDM_DLLEXPORT AOApplicationToPetscPermuteReal(AO ao, PetscInt block, PetscReal array[])

Collective on AO

### Input Parameters

| ao | - The application ordering context
| block | - The block size
| array | - The integer array

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(),AOApplicationToPetsc(), AOPetscToApplicationIS()

Level:beginner
Location: src/dm/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages